Loading...
Searching...
No Matches
SelectInstance Class Reference

`#include <avahi_discover.h>`

## Classes

class | ModelColumns

## Public Member Functions

| SelectInstance (gx_system::CmdlineOptions &options, Gtk::Window *splash)
| ~SelectInstance ()
bool | get_address_port (Glib::ustring &address, int &port, Glib::ustring &name, Glib::ustring &host)

## Private Member Functions

void | on_response (int response_id)
void | on_row (const Gtk::TreePath &path, Gtk::TreeViewColumn *column)
void | on_avahi_changed ()
void | on_selection_changed ()

## Private Attributes

Gtk::Window * | splash
Gtk::Dialog * | win
Gtk::TreeView * | view
AvahiBrowser | av
SelectInstance::ModelColumns | cols

## Detailed Description

Definition at line 81 of file avahi_discover.h.

## Constructor & Destructor Documentation

## SelectInstance()

SelectInstance::SelectInstance | ( | gx_system::CmdlineOptions & | options,
|  | Gtk::Window * | splash )

## ~SelectInstance()

SelectInstance::~SelectInstance | ( |  | ) |

## Member Function Documentation

## get_address_port()

bool SelectInstance::get_address_port | ( | Glib::ustring & | address,
|  | int & | port,
|  | Glib::ustring & | name,
|  | Glib::ustring & | host )

inline

Definition at line 100 of file avahi_discover.h.

## on_avahi_changed()

void SelectInstance::on_avahi_changed | ( |  | ) |

private

## on_response()

void SelectInstance::on_response | ( | int | response_id | ) |

private

## on_row()

void SelectInstance::on_row | ( | const Gtk::TreePath & | path,
|  | Gtk::TreeViewColumn * | column )

private

## on_selection_changed()

void SelectInstance::on_selection_changed | ( |  | ) |

private

## Member Data Documentation

## av

AvahiBrowser SelectInstance::av

private

Definition at line 86 of file avahi_discover.h.

Referenced by get_address_port().

## cols

SelectInstance::ModelColumns SelectInstance::cols

private

## splash

Gtk::Window* SelectInstance::splash

private

Definition at line 83 of file avahi_discover.h.

Referenced by SelectInstance().

## view

Gtk::TreeView* SelectInstance::view

private

Definition at line 85 of file avahi_discover.h.

## win

Gtk::Dialog* SelectInstance::win

private

Definition at line 84 of file avahi_discover.h.

The documentation for this class was generated from the following file:

- src/headers/avahi_discover.h